Opened 10 years ago

Last modified 9 years ago

#4121 enhancement new

RPMs from "setup.py bdist_rpm" should have correct dependencies

Reported by: TimAllen Owned by: TimAllen
Priority: normal Milestone:
Component: core Keywords:
Cc: Branch:
Author:

Description

In ticket #1696, we're getting close (I hope) to being able to build RPMs of Twisted direct from distutils. However, it would be good if the resulting RPMs not only installed Twisted properly, but pulled in the correct dependencies (including but not limited to, python and zope-interface).

The latest patch in #1696 does this, but Glyph mentioned that he would like to have the dependency thing as a separate issue for tracking purposes.

Change History (1)

comment:1 Changed 9 years ago by Glyph

Owner: changed from Glyph to TimAllen
Note: See TracTickets for help on using tickets.